// Code generated by MockGen. DO NOT EDIT.
// Source: kubernetes/kubeWrapper.go
//
// Generated by this command:
//
//	mockgen -source=kubernetes/kubeWrapper.go -destination=bdd/mocks/kube.go -package=mocks
//

// Package mocks is a generated GoMock package.
package mocks

import (
	io "io"
	reflect "reflect"

	gomock "go.uber.org/mock/gomock"
	v1 "k8s.io/api/core/v1"
	v10 "k8s.io/apimachinery/pkg/apis/meta/v1"
	kubernetes "k8s.io/client-go/kubernetes"
)

// MockKubeClientWrapper is a mock of KubeClientWrapper interface.
type MockKubeClientWrapper struct {
	ctrl     *gomock.Controller
	recorder *MockKubeClientWrapperMockRecorder
}

// MockKubeClientWrapperMockRecorder is the mock recorder for MockKubeClientWrapper.
type MockKubeClientWrapperMockRecorder struct {
	mock *MockKubeClientWrapper
}

// NewMockKubeClientWrapper creates a new mock instance.
func NewMockKubeClientWrapper(ctrl *gomock.Controller) *MockKubeClientWrapper {
	mock := &MockKubeClientWrapper{ctrl: ctrl}
	mock.recorder = &MockKubeClientWrapperMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockKubeClientWrapper) EXPECT() *MockKubeClientWrapperMockRecorder {
	return m.recorder
}

// EnsureNamespace mocks base method.
func (m *MockKubeClientWrapper) EnsureNamespace() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "EnsureNamespace")
}

// EnsureNamespace indicates an expected call of EnsureNamespace.
func (mr *MockKubeClientWrapperMockRecorder) EnsureNamespace() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "EnsureNamespace", reflect.TypeOf((*MockKubeClientWrapper)(nil).EnsureNamespace))
}

// GetPods mocks base method.
func (m *MockKubeClientWrapper) GetPods(namespace string, options v10.ListOptions) (*v1.PodList, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetPods", namespace, options)
	ret0, _ := ret[0].(*v1.PodList)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetPods indicates an expected call of GetPods.
func (mr *MockKubeClientWrapperMockRecorder) GetPods(namespace, options any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetPods", reflect.TypeOf((*MockKubeClientWrapper)(nil).GetPods), namespace, options)
}

// InjectClient mocks base method.
func (m *MockKubeClientWrapper) InjectClient(client *kubernetes.Clientset) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "InjectClient", client)
}

// InjectClient indicates an expected call of InjectClient.
func (mr *MockKubeClientWrapperMockRecorder) InjectClient(client any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "InjectClient", reflect.TypeOf((*MockKubeClientWrapper)(nil).InjectClient), client)
}

// StreamPodLogs mocks base method.
func (m *MockKubeClientWrapper) StreamPodLogs(namespace, podName string, options *v1.PodLogOptions) (io.ReadCloser, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "StreamPodLogs", namespace, podName, options)
	ret0, _ := ret[0].(io.ReadCloser)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// StreamPodLogs indicates an expected call of StreamPodLogs.
func (mr *MockKubeClientWrapperMockRecorder) StreamPodLogs(namespace, podName, options any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "StreamPodLogs", reflect.TypeOf((*MockKubeClientWrapper)(nil).StreamPodLogs), namespace, podName, options)
}
